Represents the completion of an asynchronous operation

### Type parameters

- #### T

### Hierarchy

- Promise

## Index

### Methods

- catch
- then

## Methods

### catch

- catch<TResult>(onrejected?: function | undefined | null): Promise<T | TResult>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1403

  Attaches a callback for only the rejection of the Promise.

  #### Type parameters

  - #### TResult

  #### Parameters

  - ##### Optional onrejected: function | undefined | null

    The callback to execute when the Promise is rejected.

  #### Returns Promise<T | TResult>

  A Promise for the completion of the callback.

### then

- then<TResult1, TResult2>(onfulfilled?: function | undefined | null, onrejected?: function | undefined | null): Promise<TResult1 | TResult2>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1396

  Attaches callbacks for the resolution and/or rejection of the Promise.

  #### Type parameters

  - #### TResult1

  - #### TResult2

  #### Parameters

  - ##### Optional onfulfilled: function | undefined | null

    The callback to execute when the Promise is resolved.

  - ##### Optional onrejected: function | undefined | null

    The callback to execute when the Promise is rejected.

  #### Returns Promise<TResult1 | TResult2>

  A Promise for the completion of which ever callback is executed.

Generated using TypeDoc